Skip to main content
POST
/
visits
Record a visit
curl --request POST \
  --url https://api.marzipan.co/v1/visits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "utmSource": "instagram",
  "utmMedium": "social",
  "utmCampaign": "summer-sale",
  "landingPage": "https://shop.marzipan.co/collections/cakes",
  "referrer": "https://instagram.com",
  "sessionId": "s_a1b2c3d4e5f6"
}
'
import requests

url = "https://api.marzipan.co/v1/visits"

payload = {
    "utmSource": "instagram",
    "utmMedium": "social",
    "utmCampaign": "summer-sale",
    "landingPage": "https://shop.marzipan.co/collections/cakes",
    "referrer": "https://instagram.com",
    "sessionId": "s_a1b2c3d4e5f6"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    utmSource: 'instagram',
    utmMedium: 'social',
    utmCampaign: 'summer-sale',
    landingPage: 'https://shop.marzipan.co/collections/cakes',
    referrer: 'https://instagram.com',
    sessionId: 's_a1b2c3d4e5f6'
  })
};

fetch('https://api.marzipan.co/v1/visits', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "7f3d9c1a-2b4e-4c6d-8e0f-1a2b3c4d5e6f",
  "sessionId": "s_a1b2c3d4e5f6"
}
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API token.

Body

application/json
utmSource
string | null
Maximum string length: 255
utmMedium
string | null
Maximum string length: 255
utmCampaign
string | null
Maximum string length: 255
utmTerm
string | null
Maximum string length: 255
utmContent
string | null
Maximum string length: 255
landingPage
string | null
Maximum string length: 2048
referrer
string | null
Maximum string length: 2048
sessionId
string | null

Existing session id to continue touchpoint tracking; a new one is generated when omitted.

Maximum string length: 64

Response

Created

id
string<uuid>

The stored visit id.

sessionId
string

Session id used for touchpoint tracking; echoes the supplied value or a newly generated one.